Web lists-archives.com

Re: libgda with ui support.




Dear Andreas.

Thank you for the clarification. I personally didn't file that bug but I was planning to. Since it was exactly what I was planning to describe I just referenced it. Last night I was trying to rebuild libgda from stable with "--with-ui" argument. I got an error when start compiling test modules. I am not sure how to skip this step but it looks like it is a part of ui compilation. The code contains a lot of obsolete code that should be fixed in upstream (needs to be checked). I will continue investigation but it looks like we had an issue with compilation ui module and that is why it was switched off. Make sense. 
All the best,

-Pavlo Solntsev
---------------------------------------------------------------------------------------------
Please avoid sending me Word or PowerPoint attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html


On Tue, Aug 15, 2017 at 4:13 AM, Andreas Henriksson <andreas@xxxxxxxx> wrote:
Hello Pavlo Solntsev,

On Mon, Aug 14, 2017 at 03:10:59PM -0500, Pavlo Solntsev wrote:
> Hello,
> I am not sure where I should direct my question. There is a bug #862251 for
> libgda-5.0 package. UI modules are not compiled and not available.
> Basically, I have to manually compile those. The bug is sitting for 90 days
> without any comment. I understand, that people may be busy with other
> duties, but can someone clarify why we don't have ui module available as a
> separate package or part of *-dev. Is there any reason for that?

You simply forgot to submit your patch to implement the requested changes.

Please also note:
 Marked for autoremoval on 17 September: 870741
https://tracker.debian.org/pkg/libgda5

Feel free to stop by #debian-gnome on OFTC (irc.debian.org) to get
your patches reviewed and find someone to sponsor your upload.

Regards,
Andreas Henriksson